# Yahoo! UI Library

### TreeView Widget 2.6.0

Yahoo! UI Library > treeview > YAHOO.widget.MenuNode

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.MenuNode - extends YAHOO.widget.TextNode

A menu-specific implementation that differs from TextNode in that only one sibling can be expanded at a time.

### Constructor

YAHOO.widget.MenuNode `( oData , oParent , expanded )`

Parameters:
  `oData <object>` a string or object containing the data that will be used to render this node. Providing a string is the same as providing an object with a single property named label. All values in the oData will be used to set equally named properties in the node as long as the node does have such properties, they are not undefined, private or functions. All attributes are made available in noderef.data, which can be used to store custom attributes. TreeView.getNode(s)ByProperty can be used to retrieve a node by one of the attributes.
  `oParent <YAHOO.widget.Node>` this node's parent node
  `expanded <boolean>` the initial expanded/collapsed state (deprecated; use oData.expanded)

### Properties

#### _type `- private object`

The node type
Default Value: "MenuNode"

#### Properties inherited from YAHOO.widget.TextNode:

`_type, label, labelElId, labelStyle, title`

#### Properties inherited from YAHOO.widget.Node:

`_dynLoad, _focusHighlightedItems, _type, children, childrenRendered, contentElId, contentStyle, data, dataLoader, depth, dynamicLoadComplete, editable, expanded, hasIcon, href, iconMode, index, isLeaf, isLoading, multiExpand, nextSibling, nowrap, parent, previousSibling, renderHidden, target, tree`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

#### Methods inherited from YAHOO.widget.TextNode:

`destroyEditorContents, fillEditorContainer, getLabelEl, getNodeDefinition, saveEditorValue, setUpLabel`

#### Methods inherited from YAHOO.widget.Node:

`appendChild, appendTo, applyParent, collapse, collapseAll, completeRender, destroyEditorContents, editNode, expand, expandAll, fillEditorContainer, focus, getAncestor, getChildrenEl, getChildrenElId, getChildrenHtml, getContentEl, getContentHtml, getDepthStyle, getEl, getElId, getHoverStyle, getHtml, getIconMode, getNodeCount, getNodeDefinition, getNodeHtml, getSiblings, getStyle, getToggleEl, getToggleElId, getToggleLink, hasChildren, hideChildren, init, insertAfter, insertBefore, isChildOf, isDynamic, isRoot, loadComplete, refresh, renderChildren, saveEditorValue, setDynamicLoad, showChildren, toggle, toString`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.Node:

`parentChange,`

Copyright © 2008 Yahoo! Inc. All rights reserved.